## libplasma 6.4.91

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(PROJECT_VERSION "6.4.91")
project(libplasma VERSION ${PROJECT_VERSION})

set(QT_MIN_VERSION "6.9.0")
set(PROJECT_DEP_VERSION "6.4.91")
set(KF6_MIN_VERSION "6.18.0")

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(ECM ${KF6_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} )

include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEGitCommitHooks)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDEClangFormat)

include(ECMGenerateExportHeader)
include(ECMGenerateHeaders)
include(CMakePackageConfigHelpers)
include(ECMSetupVersion)
include(ECMQtDeclareLoggingCategory)
include(ECMAddQch)
include(KDEPackageAppTemplates)
include(ECMGenerateQmlTypes)
include(ECMMarkNonGuiExecutable)
include(ECMDeprecationSettings)
include(ECMQmlModule)
include(ECMGenerateQDoc)

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

ecm_setup_version(PROJECT
                  VARIABLE_PREFIX PLASMA
                  VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/plasma_version.h"
                  PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/PlasmaConfigVersion.cmake"
                  SOVERSION 6)

################# now find all used packages #################

find_package(Qt6 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Quick Gui Qml Svg QuickControls2 DBus)

if (Qt6Gui_VERSION VERSION_GREATER_EQUAL "6.10.0")
    find_package(Qt6GuiPrivate ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)
endif()

find_package(KF6 ${KF6_MIN_VERSION} REQUIRED
    COMPONENTS
        Archive
        Config
        CoreAddons
        GlobalAccel
        GuiAddons
        I18n
        IconThemes
        KIO
        WindowSystem
        Notifications
        Package
        KirigamiPlatform
        Svg
        ColorScheme
)
find_package(PlasmaActivities REQUIRED ${PROJECT_DEP_VERSION})

# Wayland features
find_package(PlasmaWaylandProtocols 1.10.0 REQUIRED)
find_package(Qt6WaylandClient ${QT_MIN_VERSION} REQUIRED CONFIG)
find_package(Wayland 1.9 REQUIRED Client)

option(WITHOUT_X11 "Build without X11 support (skips finding X11)." OFF)
if(NOT WITHOUT_X11)
    #optional features
    find_package(X11 MODULE)
    set_package_properties(X11 PROPERTIES DESCRIPTION "X11 libraries"
                        URL "https://www.x.org/"
                        TYPE OPTIONAL
                        )
    find_package(XCB MODULE COMPONENTS XCB COMPOSITE DAMAGE XFIXES RENDER)
    set_package_properties(XCB PROPERTIES DESCRIPTION "X protocol C-language Binding"
                        URL "https://xcb.freedesktop.org/"
                        TYPE OPTIONAL
                        )
    if(X11_FOUND AND XCB_XCB_FOUND)
        set(HAVE_X11 1)
        #X11_Xrender discovery is done by FindX11
        #add_feature_info("X Rendering Extension (libXrender)" X11_Xrender_FOUND "Support for compositing, rendering operations, and alpha-blending. STRONGLY RECOMMENDED")
    else()
        set(HAVE_X11 0)
    endif()
endif()

find_package(OpenGL)
set_package_properties(OpenGL PROPERTIES DESCRIPTION "The OpenGL libraries"
                       URL "https://www.opengl.org/"
                       TYPE OPTIONAL
                      )

find_package(EGL)
set_package_properties(EGL PROPERTIES
                       PURPOSE "Fallback when OpenGL not available because of missing GLVND"
                       TYPE OPTIONAL
                      )

get_target_property(QtGui_Enabled_Features Qt6::Gui QT_ENABLED_PUBLIC_FEATURES)
if(OpenGL_GLX_FOUND AND HAVE_X11 AND (QtGui_Enabled_Features MATCHES "opengl"))
    add_feature_info(GLX OpenGL_GLX_FOUND "OpenGL GLX libraries.")
    set(HAVE_GLX 1)
else()
    set(HAVE_GLX 0)
endif()

# OpenGL_EGL_FOUND is defined by FindOpenGL
if(TARGET OpenGL::EGL)
    add_feature_info(EGL OpenGL_EGL_FOUND
                     "A platform-agnostic mechanism for creating rendering surfaces for use with other graphics libraries, such as OpenGL|ES and OpenVG.")
    set(HAVE_EGL 1)
else()
    set(HAVE_EGL 0)
    message(STATUS "OpenGL::EGL is not available")
endif()

#########################################################################

ecm_set_disabled_deprecation_versions(
    QT 6.9.0
    KF 6.16.0
)

#add_definitions(-Wno-deprecated)

include(PlasmaMacros.cmake)

#########################################################################


option(BUILD_EXAMPLES "Build and install Plasma examples." OFF)
option(BUILD_COVERAGE "Build Plasma Frameworks with gcov support" OFF)

if (BUILD_EXAMPLES)
    find_package(KF6DBusAddons ${KF6_MIN_VERSION})
endif()

if(BUILD_COVERAGE)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fprofile-arcs -ftest-coverage")
    set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -lgcov")
endif()

# make plasma_version.h available
include_directories(${CMAKE_CURRENT_BINARY_DIR})

################# list the subdirectories #################
add_definitions(-DTRANSLATION_DOMAIN=\"libplasma6\")
ki18n_install(po)
add_subdirectory(src)

if (BUILD_EXAMPLES)
    add_subdirectory(examples)
endif()

if (BUILD_TESTING)
    add_subdirectory(autotests)
    add_subdirectory(tests)
endif()
add_subdirectory(templates)

################ create PlasmaConfig.cmake and install it ###########################

# create a Config.cmake and a ConfigVersion.cmake file and install them

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/Plasma")

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS Plasma_QCH
        FILE PlasmaQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/PlasmaQchTargets.cmake\")")
endif()

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/PlasmaConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/PlasmaConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
  PATH_VARS  CMAKE_INSTALL_PREFIX
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/PlasmaConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/PlasmaConfigVersion.cmake"
  "${CMAKE_CURRENT_SOURCE_DIR}/PlasmaMacros.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT PlasmaTargets
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        FILE PlasmaTargets.cmake
        NAMESPACE Plasma::
        COMPONENT Devel)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/plasma_version.h
        DESTINATION ${KDE_INSTALL_INCLUDEDIR}/Plasma COMPONENT Devel )

include(ECMFeatureSummary)
ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

# add clang-format target for all our source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== debian/changelog ===
libplasma (6.4.91-2) experimental; urgency=medium

  * Team upload.
  * Update symbols files from the logs of buildds.

 -- Pino Toscano <pino@debian.org>  Tue, 14 Oct 2025 17:36:38 +0200

libplasma (6.4.91-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.4.91).
  * Update build-deps and deps with the info from cmake.
  * Drop backported commits now part of the upstream release.
  * Update symbols from build for 6.4.91.
  * Use plasma-devel@kde.org as the upstream contact.
  * Drop Rules-Requires-Root: no, not needed anymore since trixie.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 05 Oct 2025 13:15:53 +0200

=== debian/control ===
Source: libplasma
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.16~),
               doxygen,
               extra-cmake-modules (>= 6.18.0~),
               gettext,
               libegl-dev,
               libkf6archive-dev (>= 6.18.0~),
               libkf6colorscheme-dev (>= 6.18.0~),
               libkf6config-dev (>= 6.18.0~),
               libkf6configwidgets-dev (>= 6.5.0~),
               libkf6coreaddons-dev (>= 6.18.0~),
               libkf6dbusaddons-dev (>= 6.18.0~),
               libkf6globalaccel-dev (>= 6.18.0~),
               libkf6guiaddons-dev (>= 6.18.0~),
               libkf6i18n-dev (>= 6.18.0~),
               libkf6iconthemes-dev (>= 6.18.0~),
               libkf6kcmutils-dev (>= 6.10.0~),
               libkf6kio-dev (>= 6.18.0~),
               libkf6notifications-dev (>= 6.18.0~),
               libkf6package-dev (>= 6.18.0~),
               libkf6parts-dev (>= 6.2.0~),
               libkf6svg-dev (>= 6.18.0~),
               libkf6widgetsaddons-dev (>= 6.2.0~),
               libkf6windowsystem-dev (>= 6.18.0~),
               libkirigami-dev (>= 6.18.0~),
               libopengl-dev,
               libplasmaactivities-dev (>= 6.4.91~),
               libsm-dev,
               libwayland-dev (>= 1.9~),
               libx11-xcb-dev,
               libxcb-composite0-dev,
               libxcb-damage0-dev,
               libxcb-render0-dev,
               libxcb-shape0-dev,
               libxcb-xfixes0-dev,
               pkgconf,
               plasma-wayland-protocols (>= 1.10.0~),
               qt6-base-dev (>= 6.9.0~),
               qt6-base-private-dev,
               qt6-declarative-dev (>= 6.9.0~),
               qt6-declarative-private-dev (>= 6.6.0+dfsg~),
               qt6-svg-dev (>= 6.9.0~),
               qt6-tools-dev (>= 6.6.0~),
               qt6-wayland-dev (>= 6.9.0~),
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/plasma/libplasma
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/libplasma
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/libplasma.git

Package: libplasma-dev
Architecture: any
Section: libdevel
Depends: extra-cmake-modules (>= 6.18.0~),
         libkf6config-dev (>= 6.18.0~),
         libkf6package-dev (>= 6.18.0~),
         libkf6windowsystem-dev (>= 6.18.0~),
         libplasma6 (= ${binary:Version}),
         libplasmaquick6 (= ${binary:Version}),
         plasma-desktoptheme (= ${binary:Version}),
         qt6-base-dev (>= 6.9.0~),
         qt6-declarative-dev (>= 6.9.0~),
         ${misc:Depends},
Recommends: libplasma-doc (= ${source:Version}),
Description: development files for libplasma
 Plasma library and runtime components based upon KF6 and Qt 6.
 .
 Contains development files for libplasma.

Package: libplasma-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Plasma Runtime components (documentation)
 Plasma library and runtime components based upon KF6 and Qt 6.
 .
 This package contains the qch documentation files.
Section: doc

Package: libplasma6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Plasma Runtime components
 Plasma library and runtime components based upon KF6 and Qt 6.

Package: libplasmaquick6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Plasma Runtime components
 Plasma library and runtime components based upon KF6 and Qt 6.

Package: plasma-desktoptheme
Architecture: any
Depends: qml6-module-org-kde-kirigami,
         qml6-module-org-kde-ksvg,
         qml6-module-qt5compat-graphicaleffects,
         qml6-module-qtqml,
         qml6-module-qtqml-models,
         qml6-module-qtqml-workerscript,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-layouts,
         qml6-module-qtquick-templates,
         qml6-module-qtquick-tooling,
         qml6-module-qtquick-window,
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: plasma-framework (<< 5.115.0-6~),
Replaces: plasma-framework (<< 5.115.0-6~),
Description: Plasma Runtime components
 Plasma library and runtime components based upon KF6 and Qt 6.

## libplasma 6.5.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(PROJECT_VERSION "6.4.91")
+set(PROJECT_VERSION "6.5.0")
 project(libplasma VERSION ${PROJECT_VERSION})
 
 set(QT_MIN_VERSION "6.9.0")
-set(PROJECT_DEP_VERSION "6.4.91")
+set(PROJECT_DEP_VERSION "6.5.0")
 set(KF6_MIN_VERSION "6.18.0")
 
 set(CMAKE_CXX_STANDARD 20)

=== src/plasma/CMakeLists.txt ===
add_subdirectory(packagestructure)

# Consumer's include dir which has to be explicitly used to make headers of this lib visible to documented includes
# Results in duplicate of prefix-dir & C++ namespace below, but part of different things, so by design:
# <visibility-layer>/<C++ namespace>/class header files
set(PLASMA_INSTALL_INCLUDEDIR "${KDE_INSTALL_INCLUDEDIR}/Plasma")

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config-plasma.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-plasma.h)

add_library(Plasma)
add_library(Plasma::Plasma ALIAS Plasma)

qt_extract_metatypes(Plasma)

set_target_properties(Plasma PROPERTIES
    VERSION     ${PLASMA_VERSION}
    SOVERSION   ${PLASMA_SOVERSION}
    EXPORT_NAME Plasma
)

target_sources(Plasma PRIVATE
#global
    plasma.cpp
    pluginloader.cpp

#applets,containments,corona
    applet.cpp
    containment.cpp
    containmentactions.cpp
    corona.cpp
    private/applet_p.cpp
    private/containment_p.cpp

#graphics
    theme.cpp
    private/theme_p.cpp
    private/blureffectwatcher.cpp

    plasma.h
    pluginloader.h

#applets,containments,corona
    applet.h
    containment.h
    containmentactions.h
    corona.h
    private/applet_p.h
    private/containment_p.h

#graphics
    theme.h
    private/theme_p.h
    private/blureffectwatcher_p.h
)

if (Qt6_VERSION VERSION_GREATER_EQUAL "6.8.0")
    set(private_code_option  "PRIVATE_CODE")
endif()
qt6_generate_wayland_protocol_client_sources(Plasma
    ${private_code_option}
    FILES
        ${PLASMA_WAYLAND_PROTOCOLS_DIR}/blur.xml
)

ecm_qt_declare_logging_category(Plasma
    HEADER debug_p.h
    IDENTIFIER LOG_PLASMA
    CATEGORY_NAME kf.plasma.core
    OLD_CATEGORY_NAMES org.kde.plasma
    DESCRIPTION "Plasma Core lib"
    EXPORT PLASMA
)

ecm_generate_export_header(Plasma
    EXPORT_FILE_NAME plasma/plasma_export.h
    BASE_NAME Plasma
    GROUP_BASE_NAME KF
    VERSION ${KF6_MIN_VERSION}
    USE_VERSION_HEADER
    DEPRECATED_BASE_VERSION 0
    EXCLUDE_DEPRECATED_BEFORE_AND_AT ${EXCLUDE_DEPRECATED_BEFORE_AND_AT}
    DEPRECATION_VERSIONS
)

if(HAVE_X11)
    set(PLASMA_EXTRA_LIBS ${PLASMA_EXTRA_LIBS} XCB::XCB)
endif()

target_link_libraries(Plasma
PUBLIC
    Qt6::Gui
    KF6::ConfigCore
    KF6::CoreAddons
    Qt6::Qml
PRIVATE
    Qt6::Quick
    Qt6::WaylandClient
    KF6::ConfigGui
    KF6::ColorScheme
    KF6::ConfigQml
    KF6::Archive
    KF6::I18n
    KF6::WindowSystem #compositingActive
    KF6::GlobalAccel #Applet::setGlobalShortcut
    KF6::Notifications
    KF6::IconThemes
    Plasma::Activities
    KF6::Svg
    ${PLASMA_EXTRA_LIBS}
)

target_link_libraries(Plasma PRIVATE KF6::Package)

set(Plasma_BUILD_INCLUDE_DIRS
    ${CMAKE_CURRENT_SOURCE_DIR}/..
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}/Plasma
)
target_include_directories(Plasma
    PUBLIC
        "$<BUILD_INTERFACE:${Plasma_BUILD_INCLUDE_DIRS}>"
    INTERFACE
        "$<INSTALL_INTERFACE:${PLASMA_INSTALL_INCLUDEDIR}>"
)

ecm_generate_qdoc(Plasma plasma.qdocconf)

########### install files ###############
ecm_generate_headers(Plasma_CamelCase_HEADERS
    HEADER_NAMES
        Applet
        Containment
        ContainmentActions
        Corona
        PluginLoader
        Theme
        Plasma
    REQUIRED_HEADERS Plasma_HEADERS
    PREFIX Plasma
)

install(FILES
        ${Plasma_HEADERS}
        ${CMAKE_CURRENT_BINARY_DIR}/plasma/plasma_export.h
    DESTINATION ${PLASMA_INSTALL_INCLUDEDIR}/plasma # C++ namespace
    COMPONENT Devel
)

install(
    FILES ${Plasma_CamelCase_HEADERS}
    DESTINATION ${PLASMA_INSTALL_INCLUDEDIR}/Plasma # C++ namespace
    COMPONENT Devel
)

install(TARGETS Plasma EXPORT PlasmaTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

if(BUILD_QCH)
    ecm_add_qch(
        Plasma_QCH
        NAME Plasma
        BASE_NAME Plasma
        VERSION ${PLASMA_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
            ${Plasma_HEADERS}
            Mainpage.dox
        MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
        LINK_QCHS
            Qt6Gui_QCH
            KF6Service_QCH
            KF6Package_QCH
        INCLUDE_DIRS
            ${Plasma_BUILD_INCLUDE_DIRS}
        BLANK_MACROS
            PLASMA_EXPORT
            PLASMA_DEPRECATED
            PLASMA_DEPRECATED_EXPORT
            "PLASMA_DEPRECATED_VERSION(x, y, t)"
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()

=== templates/qml-plasmoid6/CMakeLists.txt ===
# SPDX-FileCopyrightText: %{CURRENT_YEAR} %{AUTHOR} <%{EMAIL}>
# SPDX-License-Identifier: BSD-2-Clause

cmake_minimum_required(VERSION 3.16)

project(plasma-%{APPNAMELC})
 
find_package(ECM 1.4.0 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

find_package(Plasma REQUIRED)
find_package(KF6 REQUIRED COMPONENTS Config)

# TODO: adapt "org.kde.plasma" here & elsewhere if needed (see README)
plasma_add_applet(package org.kde.plasma.%{APPNAMELC}
    QML_SOURCES
        qml/main.qml
    RESOURCES
        qml/images/pairs.svgz
    GENERATE_APPLET_CLASS
)

=== tests/dpi/CMakeLists.txt ===
add_executable(dpitest
    main.cpp
    dpitest.cpp
)

target_link_libraries(dpitest Plasma::Plasma KF6::I18n Qt6::Gui)

=== src/declarativeimports/core/CMakeLists.txt ===
if(HAVE_X11 AND XCB_XCB_FOUND AND XCB_COMPOSITE_FOUND AND XCB_DAMAGE_FOUND)
    set(HAVE_XCB_COMPOSITE TRUE)
else()
    set(HAVE_XCB_COMPOSITE FALSE)
endif()

configure_file(config-x11.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-x11.h)

ecm_add_qml_module(corebindingsplugin URI "org.kde.plasma.core" VERSION 2.0 DEPENDENCIES QtCore QtQuick org.kde.config)

target_sources(corebindingsplugin PRIVATE
    action.cpp
    corebindingsplugin.cpp
    quicktheme.cpp
    tooltiparea.cpp
    tooltipdialog.cpp
    windowthumbnail.cpp

    action.h
    corebindingsplugin.h
    quicktheme.h
    tooltiparea.h
    tooltipdialog.h
    windowthumbnail.h
    ${RESOURCES}
)

ecm_target_qml_sources(corebindingsplugin SOURCES
    private/DefaultToolTip.qml
    private/DialogBackground.qml
)

target_link_libraries(corebindingsplugin PRIVATE
        Qt6::Quick
        Qt6::Qml
        Qt6::Widgets
        KF6::IconThemes
        KF6::I18n
        Qt6::Svg
        KF6::WindowSystem
        KF6::I18nQml
        Plasma::Plasma
        Plasma::PlasmaQuick
        Wayland::Client
)

if(HAVE_X11)
  target_link_libraries(corebindingsplugin PRIVATE ${X11_LIBRARIES} XCB::XCB Qt6::GuiPrivate)

  if(XCB_COMPOSITE_FOUND AND XCB_DAMAGE_FOUND)
    target_link_libraries(corebindingsplugin PRIVATE
        XCB::DAMAGE
        XCB::COMPOSITE
        )
  endif()

  if(HAVE_GLX)
    target_link_libraries(corebindingsplugin PRIVATE OpenGL::GLX)
  endif()
endif()

if(HAVE_EGL)
    target_link_libraries(corebindingsplugin PRIVATE OpenGL::EGL)
endif()

ecm_finalize_qml_module(corebindingsplugin DESTINATION ${KDE_INSTALL_QMLDIR})

=== debian/changelog ===
libplasma (6.5.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.0).
  * Update build-deps and deps with the info from cmake.
  * Refresh copyright information.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 16 Oct 2025 21:59:20 +0200

=== debian/control ===
--- 
+++ 
@@ -32,7 +32,7 @@
                libkf6windowsystem-dev (>= 6.18.0~),
                libkirigami-dev (>= 6.18.0~),
                libopengl-dev,
-               libplasmaactivities-dev (>= 6.4.91~),
+               libplasmaactivities-dev (>= 6.5.0~),
                libsm-dev,
                libwayland-dev (>= 1.9~),
                libx11-xcb-dev,

## libplasma 6.5.0+p24.04+vstable+git20251028.1224

=== debian/changelog ===
libplasma (6.5.0+p24.04+vstable+git20251028.1224-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 28 Oct 2025 12:24:19 +0000

libplasma (6.5.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 06:47:55 +0000

=== debian/control ===
Source: libplasma
Section: libs
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               doxygen,
               gettext,
               graphviz,
               kf6-extra-cmake-modules,
               kf6-karchive-dev,
               kf6-kcmutils-dev,
               kf6-kconfig-dev,
               kf6-kconfigwidgets-dev,
               kf6-kcoreaddons-dev,
               kf6-kdbusaddons-dev,
               kf6-kdeclarative-dev,
               kf6-kdoctools-dev,
               kf6-kglobalaccel-dev,
               kf6-kguiaddons-dev,
               kf6-ki18n-dev,
               kf6-kio-dev,
               kf6-kirigami2-dev,
               kf6-knotifications-dev,
               kf6-kpackage-dev,
               kf6-kparts-dev,
               kf6-ksvg-dev,
               kf6-kwidgetsaddons-dev,
               kf6-kwindowsystem-dev,
               kf6-kxmlgui-dev,
               libegl-dev,
               libegl1-mesa-dev,
               libsm-dev,
               libwayland-dev,
               libx11-xcb-dev,
               libxcb-composite0-dev,
               libxcb-damage0-dev,
               libxcb-render0-dev,
               libxcb-shape0-dev,
               libxcb-xfixes0-dev,
               pkg-kde-tools-neon,
               pkgconf,
               plasma-activities-dev,
               plasma-wayland-protocols,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-svg-dev,
               qt6-tools-dev,
               qt6-wayland-dev
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/frameworks/plasma-framework
Rules-Requires-Root: no
Vcs-Git: https://invent.kde.org/neon/neon-packaging/libplasma.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/libplasma
Maintainer: Neon CI <neon@kde.org>

Package: libplasma6
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Breaks: libkf5plasma5 (<< 6), plasma-framework (<< 6), plasma-framework6 (<< 6)
Depends: qml6-module-org-kde-kconfig,
         qml6-module-org-kde-kirigami2,
         qml6-module-org-kde-kquickcontrols,
         qml6-module-org-kde-kquickcontrolsaddons,
         qml6-module-qtqml-models,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-templates,
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: kf6-plasma-framework,
          libkf5plasma5 (<< 6),
          libkf5plasmaquick5,
          libkf6plasma,
          libkf6plasma-doc,
          libkf6plasmaquick6,
          libplasmaquick6,
          plasma-desktoptheme,
          plasma-framework (<< 6),
          plasma-framework6 (<< 6)
Description: Plasma Runtime components
 Plasma library and runtime components based upon KF6 and Qt6.
 .
 This package contains the qch documentation files.

Package: libplasma-dev
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: kf6-extra-cmake-modules,
         kf6-kcoreaddons-dev,
         kf6-kpackage-dev,
         kf6-kwindowsystem-dev,
         libplasma6 (= ${binary:Version}),
         qt6-base-dev,
         qt6-declarative-dev,
         ${misc:Depends}
Replaces: kf6-plasma-framework-dev,
          libkf5plasma-dev,
          libkf6plasma-dev,
          plasma-framework6-dev
Description: development files for plasma-framework
 Plasma library and runtime components based upon KF6 and Qt 6.
 .
 Contains development files for plasma-framework.

Package: kf6-plasma-framework
Architecture: all
Depends: libplasma6, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: kf6-plasma-framework-dev
Architecture: all
Depends: libplasma-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6plasma-doc
Architecture: all
Depends: libplasma-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5plasma-dev
Architecture: all
Depends: libplasma-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5plasma5
Architecture: all
Depends: libplasma6, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5plasmaquick5
Architecture: all
Depends: libplasma6, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libf6plasmaquick6
Architecture: all
Depends: libplasma6, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6plasma-dev
Architecture: all
Depends: libplasma-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libplasmaquick6
Architecture: all
Depends: libplasma6, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: plasma-framework6
Architecture: all
Depends: libplasma6, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: plasma-framework6-dev
Architecture: all
Depends: libplasma-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: plasma-framework
Architecture: all
Depends: libplasma6, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: plasma-desktoptheme
Architecture: all
Depends: libplasma6, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

## libplasma 6.5.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(PROJECT_VERSION "6.5.0")
+set(PROJECT_VERSION "6.5.1")
 project(libplasma VERSION ${PROJECT_VERSION})
 
 set(QT_MIN_VERSION "6.9.0")
-set(PROJECT_DEP_VERSION "6.5.0")
+set(PROJECT_DEP_VERSION "6.5.1")
 set(KF6_MIN_VERSION "6.18.0")
 
 set(CMAKE_CXX_STANDARD 20)

=== templates/CMakeLists.txt ===
kde_package_app_templates(
    TEMPLATES
        qml-plasmoid6
        cpp-plasmoid6
        plasma6-wallpaper
        plasma6-wallpaper-with-qml-extension
    INSTALL_DIR ${KDE_INSTALL_KAPPTEMPLATESDIR}
)

=== autotests/applet/CMakeLists.txt ===
# Don't install test applets
set(PLASMA_SKIP_APPLET_INSTALL ON)

add_subdirectory(simple)
add_subdirectory(withcpp)
add_subdirectory(simplecontainment)

ecm_add_test(applettest.cpp LINK_LIBRARIES Qt::Test Plasma::Plasma Plasma::PlasmaQuick)

=== examples/shell/CMakeLists.txt ===
add_executable(exampleplasmashell)

target_sources(exampleplasmashell PRIVATE
    customcorona.cpp
    main.cpp
)

target_link_libraries(exampleplasmashell
    Qt6::Widgets
    Qt6::Quick
    Qt6::Qml
    KF6::I18n
    Plasma::PlasmaQuick
    Plasma::Plasma
    KF6::DBusAddons
    KF6::Notifications
    KF6::Package
)

=== src/desktoptheme/CMakeLists.txt ===

option(GZIP_DESKTOPTHEME_SVG "Install Desktop Theme SVG files as .svgz." ON)

if (GZIP_DESKTOPTHEME_SVG)
    if(WIN32)
        find_package(7z)
        set_package_properties(7z PROPERTIES
            TYPE REQUIRED
        )
    else()
        find_package(gzip)
        set_package_properties(gzip PROPERTIES
            TYPE REQUIRED
        )
    endif()
endif()

# Helper function, private for now
# Once it has matured and proven, add to public macros
function(PLASMA_INSTALL_DESKTOPTHEME_SVGS theme_name)
    set(options
    )
    set(oneValueArgs
        SUBPATH
    )
    set(multiValueArgs
        FILES
    )

    cmake_parse_arguments(PIDS "${options}" "${oneValueArgs}" "${multiValueArgs}" ${ARGN})

    if(NOT DEFINED PIDS_SUBPATH)
        message(FATAL_ERROR "SUBPATH needs to be defined when calling plasma_install_desktoptheme_svgs.")
    endif()

    if(NOT PIDS_FILES)
        message(FATAL_ERROR "No files passed when calling plasma_install_desktoptheme_svgs.")
    endif()

    set(_target_name "${theme_name}_desktoptheme_graphics_${PIDS_SUBPATH}")
    string(REPLACE "/" "_" _target_name "${_target_name}")

    set(desktoptheme_COMPONENTDIR "${theme_name}/${PIDS_SUBPATH}")
    set(desktoptheme_INSTALLDIR ${PLASMA_DATA_INSTALL_DIR}/desktoptheme/${desktoptheme_COMPONENTDIR})

    if (GZIP_DESKTOPTHEME_SVG)
        set(desktoptheme_GZIPDIR "${theme_name}.gzipped/${PIDS_SUBPATH}")
        file(MAKE_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/${desktoptheme_GZIPDIR}")
    endif()

    set(_install_files)

    foreach(_src_file ${PIDS_FILES})
        if (NOT IS_ABSOLUTE ${_src_file})
            set(_src_file "${CMAKE_CURRENT_SOURCE_DIR}/${_src_file}")
        endif()
        if (NOT EXISTS ${_src_file})
            message(FATAL_ERROR "No such file found: ${_src_file}")
        endif()
        get_filename_component(_fileName "${_src_file}" NAME)

        if (GZIP_DESKTOPTHEME_SVG)
            set(_gzipped_file_displayname "${desktoptheme_COMPONENTDIR}/${_fileName}z")
            set(_gzipped_file "${CMAKE_CURRENT_BINARY_DIR}/${desktoptheme_GZIPDIR}/${_fileName}z")
            if(WIN32)
                add_custom_command(
                    OUTPUT ${_gzipped_file}
                    COMMAND 7z::7z
                    ARGS
                        a
                        -tgzip
                        ${_gzipped_file} ${_src_file}
                    DEPENDS ${_src_file}
                    COMMENT "Gzipping ${_gzipped_file_displayname}"
                )
            else()
                add_custom_command(
                    OUTPUT ${_gzipped_file}
                    COMMAND gzip::gzip
                    ARGS
                        -9 # compress best
                        -n # no original name and timestamp stored, for reproducibility
                        -c # write to stdout
                        ${_src_file} > ${_gzipped_file}
                    DEPENDS ${_src_file}
                    COMMENT "Gzipping ${_gzipped_file_displayname}"
                )
            endif()
        else()
            set(_gzipped_file "${_src_file}")
        endif()

        list(APPEND _install_files "${_gzipped_file}")
    endforeach()

    add_custom_target(${_target_name} ALL DEPENDS ${_install_files})

    install(FILES ${_install_files} DESTINATION "${desktoptheme_INSTALLDIR}" )
endfunction()


add_subdirectory( breeze )
add_subdirectory( breeze-dark )
add_subdirectory( breeze-light )

=== autotests/applet/simplecontainment/CMakeLists.txt ===
plasma_add_applet(org.kde.plasma.testcontainment QML_SOURCES main.qml GENERATE_CONTAINMENT_CLASS)

=== debian/changelog ===
libplasma (6.5.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.1).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 28 Oct 2025 23:14:52 +0100

=== debian/control ===
Source: libplasma
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.16~),
               doxygen,
               extra-cmake-modules (>= 6.18.0~),
               gettext,
               libegl-dev,
               libkf6archive-dev (>= 6.18.0~),
               libkf6colorscheme-dev (>= 6.18.0~),
               libkf6config-dev (>= 6.18.0~),
               libkf6configwidgets-dev (>= 6.5.0~),
               libkf6coreaddons-dev (>= 6.18.0~),
               libkf6dbusaddons-dev (>= 6.18.0~),
               libkf6globalaccel-dev (>= 6.18.0~),
               libkf6guiaddons-dev (>= 6.18.0~),
               libkf6i18n-dev (>= 6.18.0~),
               libkf6iconthemes-dev (>= 6.18.0~),
               libkf6kcmutils-dev (>= 6.10.0~),
               libkf6kio-dev (>= 6.18.0~),
               libkf6notifications-dev (>= 6.18.0~),
               libkf6package-dev (>= 6.18.0~),
               libkf6parts-dev (>= 6.2.0~),
               libkf6svg-dev (>= 6.18.0~),
               libkf6widgetsaddons-dev (>= 6.2.0~),
               libkf6windowsystem-dev (>= 6.18.0~),
               libkirigami-dev (>= 6.18.0~),
               libopengl-dev,
               libplasmaactivities-dev (>= 6.5.1~),
               libsm-dev,
               libwayland-dev (>= 1.9~),
               libx11-xcb-dev,
               libxcb-composite0-dev,
               libxcb-damage0-dev,
               libxcb-render0-dev,
               libxcb-shape0-dev,
               libxcb-xfixes0-dev,
               pkgconf,
               plasma-wayland-protocols (>= 1.10.0~),
               qt6-base-dev (>= 6.9.0~),
               qt6-base-private-dev,
               qt6-declarative-dev (>= 6.9.0~),
               qt6-declarative-private-dev (>= 6.6.0+dfsg~),
               qt6-svg-dev (>= 6.9.0~),
               qt6-tools-dev (>= 6.6.0~),
               qt6-wayland-dev (>= 6.9.0~),
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/plasma/libplasma
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/libplasma
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/libplasma.git

Package: libplasma-dev
Architecture: any
Section: libdevel
Depends: extra-cmake-modules (>= 6.18.0~),
         libkf6config-dev (>= 6.18.0~),
         libkf6package-dev (>= 6.18.0~),
         libkf6windowsystem-dev (>= 6.18.0~),
         libplasma6 (= ${binary:Version}),
         libplasmaquick6 (= ${binary:Version}),
         plasma-desktoptheme (= ${binary:Version}),
         qt6-base-dev (>= 6.9.0~),
         qt6-declarative-dev (>= 6.9.0~),
         ${misc:Depends},
Recommends: libplasma-doc (= ${source:Version}),
Description: development files for libplasma
 Plasma library and runtime components based upon KF6 and Qt 6.
 .
 Contains development files for libplasma.

Package: libplasma-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Plasma Runtime components (documentation)
 Plasma library and runtime components based upon KF6 and Qt 6.
 .
 This package contains the qch documentation files.
Section: doc

Package: libplasma6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Plasma Runtime components
 Plasma library and runtime components based upon KF6 and Qt 6.

Package: libplasmaquick6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Plasma Runtime components
 Plasma library and runtime components based upon KF6 and Qt 6.

Package: plasma-desktoptheme
Architecture: any
Depends: qml6-module-org-kde-kirigami,
         qml6-module-org-kde-ksvg,
         qml6-module-qt5compat-graphicaleffects,
         qml6-module-qtqml,
         qml6-module-qtqml-models,
         qml6-module-qtqml-workerscript,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-layouts,
         qml6-module-qtquick-templates,
         qml6-module-qtquick-tooling,
         qml6-module-qtquick-window,
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: plasma-framework (<< 5.115.0-6~),
Replaces: plasma-framework (<< 5.115.0-6~),
Description: Plasma Runtime components
 Plasma library and runtime components based upon KF6 and Qt 6.

=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/plasma/([\d.]+)/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

## libplasma 6.5.1+p24.04+vstable+git20251029.0819

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(PROJECT_VERSION "6.5.1")
+set(PROJECT_VERSION "6.5.2")
 project(libplasma VERSION ${PROJECT_VERSION})
 
 set(QT_MIN_VERSION "6.9.0")

=== debian/changelog ===
libplasma (6.5.1+p24.04+vstable+git20251029.0819-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 29 Oct 2025 08:19:35 +0000

libplasma (6.5.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 29 Oct 2025 06:15:09 +0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --with kf6 --buildsystem kf6

override_dh_auto_configure:
	dh_auto_configure -- \
	-DBUILD_QCH=ON \
	-DBUILD_DESKTOPTHEMES=OFF

=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/plasma/([\d.]+)/libplasma-([\d.]+)\.tar\.xz

## libplasma 6.5.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 project(libplasma VERSION ${PROJECT_VERSION})
 
 set(QT_MIN_VERSION "6.9.0")
-set(PROJECT_DEP_VERSION "6.5.1")
+set(PROJECT_DEP_VERSION "6.5.2")
 set(KF6_MIN_VERSION "6.18.0")
 
 set(CMAKE_CXX_STANDARD 20)

=== examples/applets/CMakeLists.txt ===

plasma_install_package(bugreport org.kde.example.bugreport)
plasma_install_package(compactrepresentation org.kde.example.compactrepresentation)
plasma_install_package(config org.kde.example.configuration)
plasma_install_package(helloworld org.kde.example.helloworld)
plasma_install_package(notes org.kde.example.notes)
plasma_install_package(testcomponents org.kde.example.testcomponents)
plasma_install_package(testshaders org.kde.example.testshaders)
plasma_install_package(widgetgallery org.kde.example.widgetgallery)

=== src/plasmaquick/CMakeLists.txt ===
# Consumer's include dir which has to be explicitly used to make headers of this lib visible to documented includes
# Results in duplicate of prefix-dir & C++ namespace below, but part of different things, so by design:
# <visibility-layer>/<C++ namespace>/class header files
set(PLASMAQUICK_INSTALL_INCLUDEDIR "${KDE_INSTALL_INCLUDEDIR}/PlasmaQuick")

add_library(PlasmaQuick SHARED)
add_library(Plasma::PlasmaQuick ALIAS PlasmaQuick)

qt_extract_metatypes(PlasmaQuick)

set_target_properties(PlasmaQuick PROPERTIES
    VERSION     ${PLASMA_VERSION}
    SOVERSION   ${PLASMA_SOVERSION}
    EXPORT_NAME PlasmaQuick
)

target_sources(PlasmaQuick PRIVATE
    appletcontext.cpp
    appletquickitem.cpp
    appletpopup.cpp
    debug_p.cpp
    dialog.cpp
    dialogshadows.cpp
    containmentview.cpp
    configmodel.cpp
    configview.cpp
    edgeeventforwarder.cpp
    plasmashellwaylandintegration.cpp
    sharedqmlengine.cpp
    quickviewsharedengine.cpp
    plasmawindow.cpp
    popupplasmawindow.cpp
    transientplacementhint.cpp
    windowresizehandler.cpp
    configcategory_p.cpp
    dialogbackground_p.cpp
    utils.cpp
    plasmoid/plasmoiditem.cpp
    plasmoid/containmentitem.cpp
    plasmoid/dropmenu.cpp
    plasmoid/wallpaperitem.cpp

    appletcontext_p.h
    appletquickitem.h
    appletpopup.h
    debug_p.h
    dialog.h
    dialogshadows_p.h
    containmentview.h
    configmodel.h
    configview.h
    edgeeventforwarder.h
    plasmashellwaylandintegration.h
    sharedqmlengine.h
    quickviewsharedengine.h
    plasmawindow.h
    popupplasmawindow.h
    transientplacementhint_p.h
    windowresizehandler.h
    configcategory_p.h
    dialogbackground_p.h
    utils.h
    plasmoid/plasmoiditem.h
    plasmoid/containmentitem.h
    plasmoid/dropmenu.h
    plasmoid/wallpaperitem.h
)

if (Qt6_VERSION VERSION_GREATER_EQUAL "6.8.0")
    set(private_code_option  "PRIVATE_CODE")
endif()
qt_generate_wayland_protocol_client_sources(PlasmaQuick
    FILES
        "${PLASMA_WAYLAND_PROTOCOLS_DIR}/plasma-shell.xml"
        "${Wayland_DATADIR}/wayland.xml"
    ${private_code_option}
)

ecm_qt_declare_logging_category(PlasmaQuick
    HEADER debug_p.h
    IDENTIFIER LOG_PLASMAQUICK
    CATEGORY_NAME kf.plasma.quick
    OLD_CATEGORY_NAMES org.kde.plasmaquick
    DESCRIPTION "Plasma Quick lib"
    EXPORT PLASMA
)

set_target_properties(PlasmaQuick PROPERTIES
    VERSION     ${PLASMA_VERSION}
    SOVERSION   ${PLASMA_SOVERSION}
    EXPORT_NAME PlasmaQuick
)

target_include_directories(PlasmaQuick
    PUBLIC
        "$<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR};${CMAKE_CURRENT_BINARY_DIR}/..>"
    INTERFACE
        "$<INSTALL_INTERFACE:${PLASMAQUICK_INSTALL_INCLUDEDIR}>"
        "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/Plasma>" # module version header
)

target_link_libraries(PlasmaQuick
    PUBLIC
        Qt6::Gui
        Qt6::Quick
        Qt6::Qml
        Plasma::Plasma
        KF6::WindowSystem
    PRIVATE
        Qt6::Svg
        Qt6::GuiPrivate
        Qt6::WaylandClient
        Wayland::Client
        KF6::ConfigGui
        KF6::ConfigQml
        KF6::I18n
        KF6::IconThemes
        KF6::CoreAddons
        KF6::Package
        KF6::KIOCore
        KF6::KIOWidgets
        KF6::Notifications
        KF6::Svg
        KF6::GuiAddons
        KF6::I18nQml

)

if(HAVE_X11)
    target_link_libraries(PlasmaQuick
        PRIVATE
            ${X11_LIBRARIES}
            XCB::XCB
            Qt6::GuiPrivate
    )
endif()

ecm_add_qml_module(plasmaconfigplugin
    URI "org.kde.plasma.configuration"
    VERSION 2.0
    GENERATE_PLUGIN_SOURCE
    SOURCES configtypes.h
    DEPENDENCIES QtCore
)
target_link_libraries(plasmaconfigplugin PRIVATE Plasma::PlasmaQuick)
ecm_finalize_qml_module(plasmaconfigplugin)

install(TARGETS PlasmaQuick EXPORT PlasmaQuickTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

ecm_generate_export_header(PlasmaQuick
    BASE_NAME PlasmaQuick
    GROUP_BASE_NAME KF
    VERSION ${KF6_MIN_VERSION}
    USE_VERSION_HEADER
    VERSION_BASE_NAME Plasma
    DEPRECATED_BASE_VERSION 0
    EXCLUDE_DEPRECATED_BEFORE_AND_AT ${EXCLUDE_DEPRECATED_BEFORE_AND_AT}
    DEPRECATION_VERSIONS
)

set(plasmaquick_LIB_INCLUDES
    ${CMAKE_CURRENT_BINARY_DIR}/plasmaquick_export.h
)

ecm_generate_headers(PlasmaQuick_CamelCase_HEADERS
    HEADER_NAMES
        AppletQuickItem
        ContainmentView
        ConfigView
        ConfigModel
        Dialog
        PlasmaWindow
        PlasmaShellWaylandIntegration
        PopupPlasmaWindow
        AppletPopup
        SharedQmlEngine
        QuickViewSharedEngine
    REQUIRED_HEADERS plasmaquick_LIB_INCLUDES
    PREFIX PlasmaQuick
)

ecm_generate_qdoc(PlasmaQuick plasmaquick.qdocconf)

add_subdirectory(plasmoid)

install(
    FILES ${plasmaquick_LIB_INCLUDES}
    DESTINATION ${PLASMAQUICK_INSTALL_INCLUDEDIR}/plasmaquick
    COMPONENT Devel
)

install(
    FILES ${PlasmaQuick_CamelCase_HEADERS}
    DESTINATION ${PLASMAQUICK_INSTALL_INCLUDEDIR}/PlasmaQuick
    COMPONENT Devel
)

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/PlasmaQuick")

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/PlasmaQuickConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/PlasmaQuickConfig.cmake"
    INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
    PATH_VARS  PLASMAQUICK_INSTALL_INCLUDEDIR CMAKE_INSTALL_PREFIX
)

ecm_setup_version(${PLASMA_VERSION}
                  VARIABLE_PREFIX PLASMAQUICK
                  SOVERSION 6
                  PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/PlasmaQuickConfigVersion.cmake" )

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/PlasmaQuickConfig.cmake"
    "${CMAKE_CURRENT_BINARY_DIR}/PlasmaQuickConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}" COMPONENT Devel
)

install(EXPORT PlasmaQuickTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE PlasmaQuickTargets.cmake NAMESPACE Plasma:: )

=== autotests/applet/withcpp/CMakeLists.txt ===
plasma_add_applet(org.kde.plasma.testapplet2 QML_SOURCES main.qml CPP_SOURCES main.cpp)

target_link_libraries(org.kde.plasma.testapplet2 PRIVATE Plasma::Plasma)

=== src/declarativeimports/kirigamiplasmastyle/CMakeLists.txt ===

add_library(KirigamiPlasmaStyle MODULE ${org.kde.desktop_SRCS})

target_sources(KirigamiPlasmaStyle PRIVATE
    plugin.cpp
    units.cpp
    plasmatheme.cpp
    plugin.h
    units.h
    plasmatheme.h
)

target_link_libraries(KirigamiPlasmaStyle
    PUBLIC
        Qt6::Core
        KF6::KirigamiPlatform
    PRIVATE
        Qt6::Qml
        Qt6::Quick
        KF6::ColorScheme
        KF6::IconThemes
        Plasma::Plasma
)

install(TARGETS KirigamiPlasmaStyle DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf6/kirigami/platform)

install(FILES
    AbstractApplicationHeader.qml
    DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/kirigami/styles/Plasma
)

=== src/desktoptheme/breeze-dark/CMakeLists.txt ===
configure_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/metadata.json.cmake"
    "${CMAKE_CURRENT_BINARY_DIR}/metadata.json"
    @ONLY
)

install(
    FILES colors "${CMAKE_CURRENT_BINARY_DIR}/metadata.json"
          plasmarc
    DESTINATION ${PLASMA_DATA_INSTALL_DIR}/desktoptheme/breeze-dark
)

=== templates/plasma6-wallpaper-with-qml-extension/plugin/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"plasma_wallpaper_org.kde.plasma.%{APPNAMELC}\")

add_library(%{APPNAMELC}plugin SHARED %{APPNAMELC}plugin.cpp)

target_link_libraries(%{APPNAMELC}plugin
    KF6::I18n
    Qt6::Gui
    Qt6::Qml
)
install(TARGETS %{APPNAMELC}plugin DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/plasma/private/%{APPNAMELC})
install(FILES qmldir DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/plasma/private/%{APPNAMELC})

=== debian/changelog ===
libplasma (6.5.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Migrate to debian/watch version 5 syntax.
  * Add/update David Edmundson’s key in upstream keyring.
  * New upstream release (6.5.2).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 04 Nov 2025 21:31:41 +0100

=== debian/control ===
--- 
+++ 
@@ -32,7 +32,7 @@
                libkf6windowsystem-dev (>= 6.18.0~),
                libkirigami-dev (>= 6.18.0~),
                libopengl-dev,
-               libplasmaactivities-dev (>= 6.5.1~),
+               libplasmaactivities-dev (>= 6.5.2~),
                libsm-dev,
                libwayland-dev (>= 1.9~),
                libx11-xcb-dev,

## libplasma 6.5.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(PROJECT_VERSION "6.5.2")
+set(PROJECT_VERSION "6.5.3")
 project(libplasma VERSION ${PROJECT_VERSION})
 
 set(QT_MIN_VERSION "6.9.0")
-set(PROJECT_DEP_VERSION "6.5.2")
+set(PROJECT_DEP_VERSION "6.5.3")
 set(KF6_MIN_VERSION "6.18.0")
 
 set(CMAKE_CXX_STANDARD 20)

=== debian/changelog ===
libplasma (6.5.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 18 Nov 2025 19:24:41 +0100

=== debian/control ===
--- 
+++ 
@@ -32,7 +32,7 @@
                libkf6windowsystem-dev (>= 6.18.0~),
                libkirigami-dev (>= 6.18.0~),
                libopengl-dev,
-               libplasmaactivities-dev (>= 6.5.2~),
+               libplasmaactivities-dev (>= 6.5.3~),
                libsm-dev,
                libwayland-dev (>= 1.9~),
                libx11-xcb-dev,
